Props for the LoginForm components.

Required props include onEmailChanged and onPasswordChanged.

Allows you to customize initialEmail / password as well as emailInputProps.

### Hierarchy

- ILoginFormProps
  - IRegisterFormProps

## Index

### Properties

- emailInputProps
- initialEmail
- initialPassword
- onEmailChanged
- onPasswordChanged
- passwordInputProps

## Properties

### Optional emailInputProps

emailInputProps: ICrossEditorProps | undefined

- Defined in login/components/LoginForm.tsx:23

Optional props for the e-mail input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional initialEmail

initialEmail: string | undefined

- Defined in login/components/LoginForm.tsx:18

### Optional initialPassword

initialPassword: string | undefined

- Defined in login/components/LoginForm.tsx:25

### onEmailChanged

onEmailChanged: function

- Defined in login/components/LoginForm.tsx:17

#### Type declaration

- - (email: string | undefined): void

  - #### Parameters

    - ##### email: string | undefined

    #### Returns void

### onPasswordChanged

onPasswordChanged: function

- Defined in login/components/LoginForm.tsx:24

#### Type declaration

- - (password: string | undefined): void

  - #### Parameters

    - ##### password: string | undefined

    #### Returns void

### Optional passwordInputProps

passwordInputProps: ICrossEditorProps | undefined

- Defined in login/components/LoginForm.tsx:30

Optional props for the password input. Typically used to change the `label` prop. See {@link ICrossEditorProps}